class UserCheckFlags {
  final bool hasFine;
  final bool hasUnpaidOrder;
  final bool hasCard;

  const UserCheckFlags({
    required this.hasFine,
    required this.hasUnpaidOrder,
    required this.hasCard,
  });

  UserCheckFlags copyWith({
    bool? hasFine,
    bool? hasUnpaidOrder,
    bool? hasCard,
  }) {
    return UserCheckFlags(
      hasFine: hasFine ?? this.hasFine,
      hasUnpaidOrder: hasUnpaidOrder ?? this.hasUnpaidOrder,
      hasCard: hasCard ?? this.hasCard,
    );
  }
}
